Index: Scheduling/trunk/cs/bsdx0200GUISourceCode/CGView.cs
===================================================================
--- Scheduling/trunk/cs/bsdx0200GUISourceCode/CGView.cs	(revision 1131)
+++ Scheduling/trunk/cs/bsdx0200GUISourceCode/CGView.cs	(revision 1143)
@@ -428,4 +428,5 @@
             // 
             this.mnuNewAppointment.Index = 0;
+            this.mnuNewAppointment.Shortcut = System.Windows.Forms.Shortcut.Ins;
             this.mnuNewAppointment.Text = "&New Appointment";
             this.mnuNewAppointment.Click += new System.EventHandler(this.mnuNewAppointment_Click);
@@ -434,4 +435,5 @@
             // 
             this.mnuEditAppointment.Index = 1;
+            this.mnuEditAppointment.Shortcut = System.Windows.Forms.Shortcut.F2;
             this.mnuEditAppointment.Text = "&Edit Appointment";
             this.mnuEditAppointment.Click += new System.EventHandler(this.mnuEditAppointment_Click);
@@ -440,4 +442,5 @@
             // 
             this.mnuDeleteAppointment.Index = 2;
+            this.mnuDeleteAppointment.Shortcut = System.Windows.Forms.Shortcut.Del;
             this.mnuDeleteAppointment.Text = "Cance&l Appointment";
             this.mnuDeleteAppointment.Click += new System.EventHandler(this.mnuDeleteAppointment_Click);
@@ -481,5 +484,5 @@
             this.mnuFindAppt.Index = 9;
             this.mnuFindAppt.Shortcut = System.Windows.Forms.Shortcut.CtrlF;
-            this.mnuFindAppt.Text = "&Find Available Appointment";
+            this.mnuFindAppt.Text = "&Find Empty Slots";
             this.mnuFindAppt.Click += new System.EventHandler(this.mnuFindAppt_Click);
             // 
@@ -647,5 +650,5 @@
             this.tvSchedules.Location = new System.Drawing.Point(0, 0);
             this.tvSchedules.Name = "tvSchedules";
-            this.tvSchedules.Size = new System.Drawing.Size(128, 359);
+            this.tvSchedules.Size = new System.Drawing.Size(128, 317);
             this.tvSchedules.Sorted = true;
             this.tvSchedules.TabIndex = 1;
@@ -689,5 +692,5 @@
             // 
             this.ctxFindAppt.Index = 3;
-            this.ctxFindAppt.Text = "&Find Available Appointment";
+            this.ctxFindAppt.Text = "&Find Empty Slots";
             this.ctxFindAppt.Click += new System.EventHandler(this.ctxFindAppt_Click);
             // 
@@ -716,5 +719,5 @@
             this.panelRight.Location = new System.Drawing.Point(996, 0);
             this.panelRight.Name = "panelRight";
-            this.panelRight.Size = new System.Drawing.Size(128, 359);
+            this.panelRight.Size = new System.Drawing.Size(128, 317);
             this.panelRight.TabIndex = 3;
             this.panelRight.Visible = false;
@@ -812,5 +815,5 @@
             this.panelCenter.Location = new System.Drawing.Point(136, 24);
             this.panelCenter.Name = "panelCenter";
-            this.panelCenter.Size = new System.Drawing.Size(857, 311);
+            this.panelCenter.Size = new System.Drawing.Size(857, 269);
             this.panelCenter.TabIndex = 7;
             // 
@@ -905,5 +908,5 @@
             this.panelBottom.Controls.Add(this.statusBar1);
             this.panelBottom.Dock = System.Windows.Forms.DockStyle.Bottom;
-            this.panelBottom.Location = new System.Drawing.Point(136, 335);
+            this.panelBottom.Location = new System.Drawing.Point(136, 293);
             this.panelBottom.Name = "panelBottom";
             this.panelBottom.Size = new System.Drawing.Size(857, 24);
@@ -923,5 +926,5 @@
             this.splitter1.Location = new System.Drawing.Point(128, 24);
             this.splitter1.Name = "splitter1";
-            this.splitter1.Size = new System.Drawing.Size(8, 335);
+            this.splitter1.Size = new System.Drawing.Size(8, 293);
             this.splitter1.TabIndex = 9;
             this.splitter1.TabStop = false;
@@ -932,5 +935,5 @@
             this.splitter2.Location = new System.Drawing.Point(993, 24);
             this.splitter2.Name = "splitter2";
-            this.splitter2.Size = new System.Drawing.Size(3, 335);
+            this.splitter2.Size = new System.Drawing.Size(3, 293);
             this.splitter2.TabIndex = 10;
             this.splitter2.TabStop = false;
@@ -955,5 +958,5 @@
             this.calendarGrid1.Resources = ((System.Collections.ArrayList)(resources.GetObject("calendarGrid1.Resources")));
             this.calendarGrid1.SelectedAppointment = 0;
-            this.calendarGrid1.Size = new System.Drawing.Size(857, 311);
+            this.calendarGrid1.Size = new System.Drawing.Size(857, 269);
             this.calendarGrid1.StartDate = new System.DateTime(2003, 1, 27, 0, 0, 0, 0);
             this.calendarGrid1.TabIndex = 0;
@@ -968,5 +971,5 @@
             // 
             this.AutoScaleBaseSize = new System.Drawing.Size(5, 13);
-            this.ClientSize = new System.Drawing.Size(1124, 359);
+            this.ClientSize = new System.Drawing.Size(1124, 317);
             this.Controls.Add(this.panelCenter);
             this.Controls.Add(this.panelBottom);
@@ -1817,4 +1820,14 @@
 				this.Document.EditAppointment(a, sNote);
 
+                if (dAppt.PrintAppointmentSlip)
+                {
+                    PrintAppointmentSlip(a);
+                }
+
+                //Redraw appointments
+                this.UpdateArrays();
+
+                //Then tell RPMS that we are updated
+                RaiseRPMSEvent("BSDX SCHEDULE", a.Resource);
 			}
 			catch (Exception ex)
@@ -2684,6 +2697,4 @@
 			this.calendarGrid1.Columns = 5;
             this.Document.m_nColumnCount = 5; // MJL 1/17/2007
-            //this.Document.UpdateAllViews();
-            //TODO: Is there a way to just reuse the existing arrays? How far in the future do they go?
             RequestRefreshGrid();
 		}
@@ -2693,5 +2704,4 @@
 			this.calendarGrid1.Columns = 7;
             this.Document.m_nColumnCount = 7; // MJL 1/17/2007
-            //TODO: Is there a way to just reuse the existing arrays? How far in the future do they go?
             RequestRefreshGrid();
         }
@@ -2953,4 +2963,6 @@
                 appt.HealthRecordNumber = e.Appointment.HealthRecordNumber;
                 appt.AccessTypeID = e.AccessTypeID;
+                appt.Patient = e.Appointment.Patient;
+
                 this.Document.CreateAppointment(appt);
 
@@ -3508,23 +3520,32 @@
         }
 
-        LoadingSplash _loadingSplash; // Splash object a data point in class
+        //private delegate DialogResult dLoadingSplash(IWin32Window owner);
+        string _tempStatusBartext;
 
         /// <summary>
-        /// Loads a splash that says "Loading"
+        /// Loads a splash that says "Loading" -- removed it april 13 2010
         /// </summary>
         private void LoadSplash()
         {
-            _loadingSplash = new LoadingSplash();
-            _loadingSplash.StartPosition = FormStartPosition.CenterScreen;  //XXX: Don't like this, but will do for now.
-            _loadingSplash.UseWaitCursor = true;    // tell user we are working
-            Thread threadSplash = new Thread(new ThreadStart(() => _loadingSplash.ShowDialog())); // lambda
-            threadSplash.IsBackground = true; //expendable thread -- exit even if still running.
-            threadSplash.Name = "Loading Thread";
-            threadSplash.Start();
+            _tempStatusBartext = this.statusBar1.Text;
+            this.statusBar1.Text = "Refreshing Schedule...";
+            //_loadingSplash = new LoadingSplash();
+            //_loadingSplash.StartPosition = FormStartPosition.CenterScreen;  //XXX: Don't like this, but will do for now.
+            //_loadingSplash.UseWaitCursor = true;    // tell user we are working
+            //_loadingSplash.Show(this);
+            //Thread threadSplash = new Thread(tstart);
+            //threadSplash.IsBackground = true;
+            //threadSplash.Name = "Loading Thread";
+            //threadSplash.Start(this);
+
+            //Thread threadSplash = new Thread(new ThreadStart(() => _loadingSplash.ShowDialog())); // lambda
+            //threadSplash.IsBackground = true; //expendable thread -- exit even if still running.
+            //threadSplash.Name = "Loading Thread";
+            //threadSplash.Start();
         }
 
         private void StopSplash()
         {
-            _loadingSplash.RemoteClose();
+            this.statusBar1.Text = _tempStatusBartext;
         }
 
